<?php 
class FRMVehiculo extends AppFormulario{
	
	protected $_propietario;
	
	public function init(){
		
		parent::init();
		
		// envio
		$this->setAction('/wvehiculo/editar/id/'.$this->getObjeto()->id);
		$this->_url_traseditar = '/wvehiculo/listado';

		$vehiculo = $this->getObjeto();
		if ($vehiculo instanceof Vehiculo) {}
	
		// CAMPOS
		
		$matricula =new EFTexto('matricula');
		$matricula->setLabel('Matricula');
		$this->addElement($matricula);
		
		
		$nombre_modelo = new EFTexto('modelo');
		$nombre_modelo->setLabel('Marca/Modelo');
		
		
		
		$autocompletar_modelo = new EVAutoCompletar('modelo', 'autocompletar');
		
		$marca = new EFHidden('marca');
		$autocompletar_modelo->addAsociado($marca, 'nombre_marca');
		$this->addElement($marca);
		
		$codigo_marca = new EFHidden('codigo_marca');
		$autocompletar_modelo->addAsociado($codigo_marca, 'marca');
		$this->addElement($codigo_marca);
		
		
		
		
		$codigo_modelo = new EFHidden('codigo_modelo');
		$autocompletar_modelo->addAsociado($codigo_modelo, 'codigo');
		$this->addElement($codigo_modelo);
		
		$variante = new EFHidden('variante');
		$autocompletar_modelo->addAsociado($variante, 'variante');
		$this->addElement($variante);
		
		$categoria = new EFHidden('categoria');
		$autocompletar_modelo->addAsociado($categoria, 'categoria');
		$this->addElement($categoria);
		
		
		$nombre_modelo->addEvento($autocompletar_modelo);
		$this->addElement($nombre_modelo);
		
		
		
		$nombre_actividad = new EFCombobox('actividad');
		$nombre_actividad->setMultiOptions(ActividadVehiculo::listado_select(true));
		$nombre_actividad->setLabel('Actividad');
		
		//$autocompletarActividad = new EVAutoCompletar('ActividadVehiculo', 'autocompletar');
		//$actividad = new EFHidden('actividad');
		//$autocompletarActividad->addAsociado($actividad, 'codigo');
		//$nombre_actividad->addEvento($autocompletarActividad);
		//$this->addElement($actividad);
		$this->addElement($nombre_actividad);
		
		
		
		
		$nombreColor = new EFCombobox('color');
		$nombreColor->setMultiOptions(Color::listado_select());
		$nombreColor->setLabel('Color');
		$this->addElement($nombreColor);
		
		//$autocompletar = new EVAutoCompletar('Color', 'autocompletar');
		//$color = new EFHidden('color');
		//$autocompletar->addAsociado($color, 'codigo');
		//$this->addElement($color);
		//$nombreColor->addEvento($autocompletar);
		
		
		$cmp_anyo = new EFTexto('anyo');
		$cmp_anyo->setLabel('Aņo');
		$this->addElement($cmp_anyo);
		
		$cmp_oficina = new EFCombobox('oficinaActual');
		$cmp_oficina->setLabel('Oficina');
		$codigoPropietario = $this->_propietario;
		if ($codigoPropietario)
			$cmp_oficina->setMultiOptions(Oficina::loadComboPorPropietario($codigoPropietario));
		$this->addElement($cmp_oficina);
		
		$cmp_activo = new EFCheckbox('activo');
		$cmp_activo->setLabel('Activo');
		$this->addElement($cmp_activo);
		
		$cmp_numeroPlazas = new EFNumero('numeroPlazas');
		$cmp_numeroPlazas->setLabel('Nš Plazas (sin conductor)');
		$this->addElement($cmp_numeroPlazas);
		
		
		//VISUAL
		
		
		$this->addElementoVista($matricula);
		$this->addElementoVista($nombre_modelo);
		$this->addElementoVista($cmp_anyo);
		$this->addElementoVista($cmp_numeroPlazas);
		$this->addElementoVista($nombreColor);
		$this->addElementoVista($nombre_actividad);
		$this->addElementoVista($cmp_oficina);
		$this->addElementoVista($cmp_activo);
		
		$submit = new EFSubmit('guardar');
		$submit->setValue('Guardar');
		$this->addElement($submit);
		$this->addElementoVista($submit);
		
		
		
	}
	public function __construct(Vehiculo $elemento, $propietario){
		$this->setObjeto($elemento);
		$this->_propietario = $propietario;
		parent::__construct();
	}
}